*** ../nagios-orig/base/notifications.c	Tue Feb 10 23:48:47 2004
--- base/notifications.c	Fri Mar  5 13:52:43 2004
***************
*** 577,582 ****
--- 577,583 ----
  	char temp_buffer[MAX_INPUT_BUFFER];
  	int early_timeout=FALSE;
  	double exectime;
+ 	int macro_options=STRIP_ILLEGAL_MACRO_CHARS|ESCAPE_MACRO_CHARS;
  
  #ifdef DEBUG0
  	printf("notify_contact_of_service() start\n");
***************
*** 599,609 ****
  		command_name_ptr=strtok(command_name,"!");
  
  		/* get the raw command line */
! 		get_raw_command_line(temp_commandsmember->command,raw_command,sizeof(raw_command),0);
  		strip(raw_command);
  
  		/* process any macros contained in the argument */
! 		process_macros(raw_command,processed_command,sizeof(processed_command),0);
  		strip(processed_command);
  
  		/* run the notification command */
--- 600,610 ----
  		command_name_ptr=strtok(command_name,"!");
  
  		/* get the raw command line */
! 		get_raw_command_line(temp_commandsmember->command,raw_command,sizeof(raw_command),macro_options);
  		strip(raw_command);
  
  		/* process any macros contained in the argument */
! 		process_macros(raw_command,processed_command,sizeof(processed_command),macro_options);
  		strip(processed_command);
  
  		/* run the notification command */
***************
*** 1250,1257 ****
  	char processed_command[MAX_INPUT_BUFFER];
  	int early_timeout=FALSE;
  	double exectime;
  
- 
  #ifdef DEBUG0
  	printf("notify_contact_of_host() start\n");
  #endif
--- 1251,1258 ----
  	char processed_command[MAX_INPUT_BUFFER];
  	int early_timeout=FALSE;
  	double exectime;
+ 	int macro_options=STRIP_ILLEGAL_MACRO_CHARS|ESCAPE_MACRO_CHARS;
  
  #ifdef DEBUG0
  	printf("notify_contact_of_host() start\n");
  #endif
***************
*** 1273,1289 ****
  		command_name_ptr=strtok(command_name,"!");
  
  		/* get the raw command line */
! 		get_raw_command_line(temp_commandsmember->command,raw_command,sizeof(raw_command),0);
  		strip(raw_command);
  
  		/* process any macros contained in the argument */
! 		process_macros(raw_command,processed_command,sizeof(processed_command),0);
  		strip(processed_command);
  
  		/* run the notification command */
  		if(strcmp(processed_command,"")){
  
- 
  #ifdef DEBUG4
  			printf("\tRaw Command:       %s\n",raw_command);
  			printf("\tProcessed Command: %s\n",processed_command);
--- 1274,1289 ----
  		command_name_ptr=strtok(command_name,"!");
  
  		/* get the raw command line */
! 		get_raw_command_line(temp_commandsmember->command,raw_command,sizeof(raw_command),macro_options);
  		strip(raw_command);
  
  		/* process any macros contained in the argument */
! 		process_macros(raw_command,processed_command,sizeof(processed_command),macro_options);
  		strip(processed_command);
  
  		/* run the notification command */
  		if(strcmp(processed_command,"")){
  
  #ifdef DEBUG4
  			printf("\tRaw Command:       %s\n",raw_command);
  			printf("\tProcessed Command: %s\n",processed_command);
